Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::SkeletonBlockerDS::Graph_edge Struct Reference

The type of edges that are stored the boost graph. An Edge must be Default Constructible and Equality Comparable. More...

`#include <concept/Skeleton_blocker/SkeletonBlockerDS.h>`

## Public Member Functions

void | setId (Root_vertex_handle a, Root_vertex_handle b)
| Allows to modify vertices of the edge.
Root_vertex_handle | first () const
| Returns the first vertex of the edge.
Root_vertex_handle | second () const
| Returns the second vertex of the edge.

## Detailed Description

The type of edges that are stored the boost graph. An Edge must be Default Constructible and Equality Comparable.

The documentation for this struct was generated from the following file:

- concept/Skeleton_blocker/SkeletonBlockerDS.h